<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae9d1fcb05ee24e933d14b5ee913b0196"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#ae9d1fcb05ee24e933d14b5ee913b0196">TrackerData</a> ()</td></tr>
<tr class="memdesc:ae9d1fcb05ee24e933d14b5ee913b0196"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ae9d1fcb05ee24e933d14b5ee913b0196">More...</a><br /></td></tr>
<tr class="separator:ae9d1fcb05ee24e933d14b5ee913b0196"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30deb276dc6efd812d524eab19e228e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a30deb276dc6efd812d524eab19e228e3">TrackerData</a> (long long <a class="el" href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">cellID0</a>, long long <a class="el" href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">cellID1</a>, int <a class="el" href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">time</a>)</td></tr>
<tr class="separator:a30deb276dc6efd812d524eab19e228e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b22441d6d7bc68afb4b89bc33618095"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a9b22441d6d7bc68afb4b89bc33618095">TrackerData</a> (<a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a> *obj)</td></tr>
<tr class="memdesc:a9b22441d6d7bc68afb4b89bc33618095"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a>  <a href="#a9b22441d6d7bc68afb4b89bc33618095">More...</a><br /></td></tr>
<tr class="separator:a9b22441d6d7bc68afb4b89bc33618095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86d40874d51262ddc47e74b295c8d4ce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a86d40874d51262ddc47e74b295c8d4ce">TrackerData</a> (const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;other)</td></tr>
<tr class="memdesc:a86d40874d51262ddc47e74b295c8d4ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a86d40874d51262ddc47e74b295c8d4ce">More...</a><br /></td></tr>
<tr class="separator:a86d40874d51262ddc47e74b295c8d4ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff52d52c7ebf683b69a7d507a74e5dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#afff52d52c7ebf683b69a7d507a74e5dd">operator=</a> (const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;other)</td></tr>
<tr class="memdesc:afff52d52c7ebf683b69a7d507a74e5dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#afff52d52c7ebf683b69a7d507a74e5dd">More...</a><br /></td></tr>
<tr class="separator:afff52d52c7ebf683b69a7d507a74e5dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7e754cb795b2016b22222bdd5c10e49"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#ab7e754cb795b2016b22222bdd5c10e49">clone</a> () const</td></tr>
<tr class="memdesc:ab7e754cb795b2016b22222bdd5c10e49"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#ab7e754cb795b2016b22222bdd5c10e49">More...</a><br /></td></tr>
<tr class="separator:ab7e754cb795b2016b22222bdd5c10e49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac441ab620dfb51439c364baae5d7758b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#ac441ab620dfb51439c364baae5d7758b">~TrackerData</a> ()</td></tr>
<tr class="memdesc:ac441ab620dfb51439c364baae5d7758b"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#ac441ab620dfb51439c364baae5d7758b">More...</a><br /></td></tr>
<tr class="separator:ac441ab620dfb51439c364baae5d7758b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6feecc6e67bb53bdaad46870c4ec2832"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a6feecc6e67bb53bdaad46870c4ec2832">operator ConstTrackerData</a> () const</td></tr>
<tr class="memdesc:a6feecc6e67bb53bdaad46870c4ec2832"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#a6feecc6e67bb53bdaad46870c4ec2832">More...</a><br /></td></tr>
<tr class="separator:a6feecc6e67bb53bdaad46870c4ec2832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb1a9140f6bfd0cb4bed56f4eac55dc"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a8bb1a9140f6bfd0cb4bed56f4eac55dc">cellID0</a> () const</td></tr>
<tr class="memdesc:a8bb1a9140f6bfd0cb4bed56f4eac55dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a8bb1a9140f6bfd0cb4bed56f4eac55dc">More...</a><br /></td></tr>
<tr class="separator:a8bb1a9140f6bfd0cb4bed56f4eac55dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52879e917e11f91c1601c9bfe9b1c71a"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a52879e917e11f91c1601c9bfe9b1c71a">cellID1</a> () const</td></tr>
<tr class="memdesc:a52879e917e11f91c1601c9bfe9b1c71a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#a52879e917e11f91c1601c9bfe9b1c71a">More...</a><br /></td></tr>
<tr class="separator:a52879e917e11f91c1601c9bfe9b1c71a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02d9d22961d06225c144d783a97f2e90"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a02d9d22961d06225c144d783a97f2e90">time</a> () const</td></tr>
<tr class="memdesc:a02d9d22961d06225c144d783a97f2e90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the time measurement associated with the adc values.  <a href="#a02d9d22961d06225c144d783a97f2e90">More...</a><br /></td></tr>
<tr class="separator:a02d9d22961d06225c144d783a97f2e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd193f9d4a3a66237e229c6eecf8c0a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#afd193f9d4a3a66237e229c6eecf8c0a3">cellID0</a> (long long value)</td></tr>
<tr class="memdesc:afd193f9d4a3a66237e229c6eecf8c0a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The detector specific (geometrical) cell id.  <a href="#afd193f9d4a3a66237e229c6eecf8c0a3">More...</a><br /></td></tr>
<tr class="separator:afd193f9d4a3a66237e229c6eecf8c0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7eb70d598869d66a66de32d5e5646ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#ae7eb70d598869d66a66de32d5e5646ad">cellID1</a> (long long value)</td></tr>
<tr class="memdesc:ae7eb70d598869d66a66de32d5e5646ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The second detector specific (geometrical) cell id.  <a href="#ae7eb70d598869d66a66de32d5e5646ad">More...</a><br /></td></tr>
<tr class="separator:ae7eb70d598869d66a66de32d5e5646ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c41b5413350ca5f4f8045f6307250c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#af2c41b5413350ca5f4f8045f6307250c">time</a> (int value)</td></tr>
<tr class="memdesc:af2c41b5413350ca5f4f8045f6307250c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the time measurement associated with the adc values.  <a href="#af2c41b5413350ca5f4f8045f6307250c">More...</a><br /></td></tr>
<tr class="separator:af2c41b5413350ca5f4f8045f6307250c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7feed4273de7da56a53f2cbbefb2574"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#ad7feed4273de7da56a53f2cbbefb2574">isAvailable</a> () const</td></tr>
<tr class="memdesc:ad7feed4273de7da56a53f2cbbefb2574"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#ad7feed4273de7da56a53f2cbbefb2574">More...</a><br /></td></tr>
<tr class="separator:ad7feed4273de7da56a53f2cbbefb2574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60a7d523796bcc84eb24d41e3019d008"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a60a7d523796bcc84eb24d41e3019d008">unlink</a> ()</td></tr>
<tr class="memdesc:a60a7d523796bcc84eb24d41e3019d008"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a> instance  <a href="#a60a7d523796bcc84eb24d41e3019d008">More...</a><br /></td></tr>
<tr class="separator:a60a7d523796bcc84eb24d41e3019d008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a805e413014b7a9abcf3a3b742b73388c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a805e413014b7a9abcf3a3b742b73388c">operator==</a> (const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;other) const</td></tr>
<tr class="separator:a805e413014b7a9abcf3a3b742b73388c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5275415b968040b1db3411b183a87b3d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a5275415b968040b1db3411b183a87b3d">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> &amp;other) const</td></tr>
<tr class="separator:a5275415b968040b1db3411b183a87b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2380c32b0724f9d0160531e6257e2233"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a2380c32b0724f9d0160531e6257e2233">operator&lt;</a> (const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;other) const</td></tr>
<tr class="separator:a2380c32b0724f9d0160531e6257e2233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a536ba9cd3bdf5197ca9c3d3aad474947"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a536ba9cd3bdf5197ca9c3d3aad474947">id</a> () const</td></tr>
<tr class="separator:a536ba9cd3bdf5197ca9c3d3aad474947"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374d0ade6e7cc6061aedfde56c21a985"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">getObjectID</a> () const</td></tr>
<tr class="separator:a374d0ade6e7cc6061aedfde56c21a985"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker data </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8h_source.html#l00025">25</a> of file <a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae9d1fcb05ee24e933d14b5ee913b0196"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d1fcb05ee24e933d14b5ee913b0196">&#9670;&nbsp;</a></span>TrackerData() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::TrackerData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00016">16</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a30deb276dc6efd812d524eab19e228e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30deb276dc6efd812d524eab19e228e3">&#9670;&nbsp;</a></span>TrackerData() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::TrackerData </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00020">20</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_data_8h_source.html#l00016">eic::TrackerDataData::cellID0</a>, <a class="el" href="_tracker_data_8cc_source.html#l00050">cellID0()</a>, <a class="el" href="_tracker_data_data_8h_source.html#l00017">eic::TrackerDataData::cellID1</a>, <a class="el" href="_tracker_data_8cc_source.html#l00051">cellID1()</a>, <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>, <a class="el" href="_tracker_data_data_8h_source.html#l00018">eic::TrackerDataData::time</a>, and <a class="el" href="_tracker_data_8cc_source.html#l00052">time()</a>.</p>

</div>
</div>
<a id="a9b22441d6d7bc68afb4b89bc33618095"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b22441d6d7bc68afb4b89bc33618095">&#9670;&nbsp;</a></span>TrackerData() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::TrackerData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00037">37</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a86d40874d51262ddc47e74b295c8d4ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86d40874d51262ddc47e74b295c8d4ce">&#9670;&nbsp;</a></span>TrackerData() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::TrackerData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00027">27</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="ac441ab620dfb51439c364baae5d7758b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac441ab620dfb51439c364baae5d7758b">&#9670;&nbsp;</a></span>~TrackerData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::~TrackerData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00045">45</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8bb1a9140f6bfd0cb4bed56f4eac55dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bb1a9140f6bfd0cb4bed56f4eac55dc">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerData::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00050">50</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_data_8h_source.html#l00016">eic::TrackerDataData::cellID0</a>, and <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_8cc_source.html#l00020">TrackerData()</a>.</p>

</div>
</div>
<a id="afd193f9d4a3a66237e229c6eecf8c0a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd193f9d4a3a66237e229c6eecf8c0a3">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerData::cellID0 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_data_8h_source.html#l00016">eic::TrackerDataData::cellID0</a>, and <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>.</p>

</div>
</div>
<a id="a52879e917e11f91c1601c9bfe9b1c71a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52879e917e11f91c1601c9bfe9b1c71a">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerData::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00051">51</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_data_8h_source.html#l00017">eic::TrackerDataData::cellID1</a>, and <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_8cc_source.html#l00020">TrackerData()</a>.</p>

</div>
</div>
<a id="ae7eb70d598869d66a66de32d5e5646ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7eb70d598869d66a66de32d5e5646ad">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerData::cellID1 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_data_8h_source.html#l00017">eic::TrackerDataData::cellID1</a>, and <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>.</p>

</div>
</div>
<a id="ab7e754cb795b2016b22222bdd5c10e49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7e754cb795b2016b22222bdd5c10e49">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> eic::TrackerData::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00041">41</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a374d0ade6e7cc6061aedfde56c21a985"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a374d0ade6e7cc6061aedfde56c21a985">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::TrackerData::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00072">72</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_8h_source.html#l00093">id()</a>.</p>

</div>
</div>
<a id="a536ba9cd3bdf5197ca9c3d3aad474947"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a536ba9cd3bdf5197ca9c3d3aad474947">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::TrackerData::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8h_source.html#l00093">93</a> of file <a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_8cc_source.html#l00072">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad7feed4273de7da56a53f2cbbefb2574"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7feed4273de7da56a53f2cbbefb2574">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerData::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00065">65</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a6feecc6e67bb53bdaad46870c4ec2832"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6feecc6e67bb53bdaad46870c4ec2832">&#9670;&nbsp;</a></span>operator ConstTrackerData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerData::operator <a class="el" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00048">48</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a2380c32b0724f9d0160531e6257e2233"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2380c32b0724f9d0160531e6257e2233">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerData::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8h_source.html#l00091">91</a> of file <a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>.</p>

</div>
</div>
<a id="afff52d52c7ebf683b69a7d507a74e5dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afff52d52c7ebf683b69a7d507a74e5dd">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp; eic::TrackerData::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00031">31</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a805e413014b7a9abcf3a3b742b73388c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a805e413014b7a9abcf3a3b742b73388c">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_data.html">TrackerData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8h_source.html#l00087">87</a> of file <a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>.</p>

</div>
</div>
<a id="a5275415b968040b1db3411b183a87b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5275415b968040b1db3411b183a87b3d">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00079">79</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

</div>
</div>
<a id="a02d9d22961d06225c144d783a97f2e90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02d9d22961d06225c144d783a97f2e90">&#9670;&nbsp;</a></span>time() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::TrackerData::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>, and <a class="el" href="_tracker_data_data_8h_source.html#l00018">eic::TrackerDataData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_8cc_source.html#l00020">TrackerData()</a>.</p>

</div>
</div>
<a id="af2c41b5413350ca5f4f8045f6307250c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2c41b5413350ca5f4f8045f6307250c">&#9670;&nbsp;</a></span>time() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerData::time </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8cc_source.html#l00057">57</a> of file <a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_data_obj_8h_source.html#l00030">eic::TrackerDataObj::data</a>, and <a class="el" href="_tracker_data_data_8h_source.html#l00018">eic::TrackerDataData::time</a>.</p>

</div>
</div>
<a id="a60a7d523796bcc84eb24d41e3019d008"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60a7d523796bcc84eb24d41e3019d008">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerData::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_8h_source.html#l00085">85</a> of file <a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_data_8h_source.html">TrackerData.h</a></li>
<li>src/<a class="el" href="_tracker_data_8cc_source.html">TrackerData.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
